Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.spi.flexspi
Interface Repository

All Superinterfaces
  IExtensible, Serializable

    public interface Repository

extends Serializable, IExtensible

Represents a content repository and facilitates connecting to it.

Method Summary
`Ticket` | `connect(Credentials credentials)` Returns a ticket if the user can be authenticated.
`Ticket` | `connect(String username, String password)` Returns a ticket if the user can be authenticated.
`Map<String,String>` | `getDescription()` Retrieve a map of repository description data.
`String` | `getName()` Gets the name of this Repository.
`Properties` | `getProperties()` Gets the configuration properties for this repository.
`Set<ICapabilityDefinition>` | `getRepositoryDefinedCapabilities()` Retrieve any capability definitions defined by the underlying repository.
`void` | `setName(String name)` Sets the name of this Repository.
`void` | `setProperties(Properties properties)` Sets the configuration properties for this repository.

Methods inherited from interface com.bea.content.spi.flexspi.IExtensible
`getAllInterfaces, getCapabilitySupport, getInterface`

Method Detail

### connect

    Ticket connect(Credentials credentials)
                   throws AuthenticationException,
                          RepositoryException

  Returns a ticket if the user can be authenticated. The credentials is from a user that was already authenticated in the WebLogic server.

  Before connect() is called, setName() and setProperties() will be called to configure the Repository object.

  Parameters
    `credentials` - - the credentials of the user connecting to the Repository.
  Throws
    `AuthenticationException` - if the authentication fails.
    `RepositoryException` - if a non-authentication error occurs.

### connect

    Ticket connect(String username,
                   String password)
                   throws AuthenticationException,
                          RepositoryException

  Returns a ticket if the user can be authenticated.

  Before connect() is called, setName() and setProperties() will be called to configure the Repository object.

  Parameters
    `username` - - the username to authenticate.
    `password` - - the password for the user.
  Throws
    `AuthenticationException` - if the authentication fails.
    `RepositoryException` - if a non-authentication error occurs.

### getName

    String getName()

  Gets the name of this Repository.

### setName

    void setName(String name)

  Sets the name of this Repository. This will always be set before connect is called.

### getProperties

    Properties getProperties()

  Gets the configuration properties for this repository.

  Returns
    Properties, the repository configuration properties.

### setProperties

    void setProperties(Properties properties)

  Sets the configuration properties for this repository. The config properties will always be set before connect is called.

  Parameters
    `properties` - - the repository configuration properties.

### getRepositoryDefinedCapabilities

    Set<ICapabilityDefinition> getRepositoryDefinedCapabilities()

  Retrieve any capability definitions defined by the underlying repository. This is a way for repositories to expose custom capabilities to client code.

  Returns
    The repository defined capabilities.

### getDescription

    Map<String,String> getDescription()

  Retrieve a map of repository description data. The results are represented as a map of string keys and string values. The keys may be a combination of well-known keys specified in the `SPIDescriptionKeys` class and keys provided by the repository author.

  Returns
    The repository description data.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.